/*

Copyright (C) 2000 - 2008 Christian Kreibich <christian@whoop.org>.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to
deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies of the Software and its documentation and acknowledgment shall be
given in the documentation and software packages that this Software was
used.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __libnd_types_h
#define __libnd_types_h

#include <libnd_globals.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef struct lnd_trace LND_Trace;
typedef struct lnd_tpm LND_TPM;
typedef struct lnd_trace_part LND_TracePart;
typedef struct lnd_trace_loc LND_TraceLoc;
typedef struct lnd_packet LND_Packet;
typedef struct lnd_protocol LND_Protocol;
typedef struct lnd_protocol_field LND_ProtoField;
typedef struct lnd_menu_data LND_MenuData;
typedef struct lnd_proto_inst LND_ProtoInst;
typedef struct lnd_proto_data LND_ProtoData;
typedef struct lnd_proto_info LND_ProtoInfo;
typedef struct lnd_filter LND_Filter;
typedef struct lnd_filter_factory LND_FilterFactory;
typedef struct lnd_packet_iterator LND_PacketIterator;
typedef struct lnd_trace_area LND_TraceArea;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
